# $Revision: 1.16 $, $Date: 2010/09/21 18:58:14 $
%define		subver	59
%define		rel		2
Summary:	Open Source NX server, similar to the commercial NX server from NoMachine
Name:		neatx
Version:	0.1
Release:	0.r%{subver}.%{rel}
License:	GPL v2
Group:		X11/Applications/Networking
# svn export http://neatx.googlecode.com/svn/trunk/neatx neatx
# find neatx -name .svn | xargs rm -rf
# tar -cjf neatx-%{subver}.tar.bz2 neatx
Source0:	%{name}-r%{subver}.tar.bz2
# Source0-md5:	2d66bc88cd584594d1f753c345b07ccc
URL:		http://code.google.com/p/neatx/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docutils
BuildRequires:	python-devel
BuildRequires:	python-docutils
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	bash
Requires:	coreutils
Requires:	netcat
Requires:	nx
Requires:	openssh-clients
Requires:	python-pexpect
Requires:	python-pygobject
Requires:	python-pygtk-gtk
Requires:	python-simplejson
Requires:	xorg-app-xauth
Requires:	xorg-app-xrdb
Requires:	xterm
Conflicts:	freenx-server
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Neatx is an Open Source NX server, similar to the commercial NX server
from NoMachine.

%prep
%setup -q -n %{name}

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir},/var/lib/neatx/{home/.ssh,sessions}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/neatx.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/neatx.conf
install extras/authorized_keys.nomachine $RPM_BUILD_ROOT/var/lib/neatx/home/.ssh/authorized_keys

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 160 -d /var/lib/neatx/home -s %{_libdir}/neatx/nxserver-login-wrapper -g users -G wheel -c "Neatx User" nx

%postun
if [ "$1" = "0" ]; then
	%userremove nx
fi

%post   -p <lua>
%lua_add_etc_shells %{_libdir}/neatx/nxserver-login-wrapper

%preun  -p <lua>
if arg[2] == 0 then
	%lua_remove_etc_shells %{_libdir}/neatx/nxserver-login-wrapper
end

%files
%defattr(644,root,root,755)

%doc doc/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/neatx.conf
%dir /var/lib/neatx
%dir %attr(750,nx,root) /var/lib/neatx/home
%dir %attr(750,nx,root) /var/lib/neatx/home/.ssh
%config(noreplace) %verify(not md5 mtime size) /var/lib/neatx/home/.ssh/authorized_keys
%dir %attr(1777,root,root) /var/lib/neatx/sessions
%dir %{_libdir}/neatx
%attr(755,root,root) %{_libdir}/neatx/*
%{_datadir}/neatx
%dir %{py_sitescriptdir}/neatx
%{py_sitescriptdir}/neatx/*.py[co]
%dir %{py_sitescriptdir}/neatx/app
%{py_sitescriptdir}/neatx/app/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: neatx.spec,v $
Revision 1.16  2010/09/21 18:58:14  glen
- release 2

Revision 1.15  2010/07/11 17:37:36  paszczus
- s/nc/netcat in Requires

Revision 1.14  2010/07/10 11:12:57  paszczus
- updated md5

Revision 1.13  2010/07/10 10:52:39  paszczus
- updated to rev59
- added BR: docutils

Revision 1.12  2009/12/11 13:33:02  paszczus
- updated to r47

Revision 1.11  2009/11/06 07:58:11  paszczus
- updated to r43

Revision 1.10  2009/08/09 03:25:58  aredridel
- r38

Revision 1.9  2009/07/15 09:00:05  arekm
- provide nx ssh key by default

Revision 1.8  2009/07/15 08:56:35  arekm
- fix netcat path and dir perms

Revision 1.7  2009/07/15 08:46:48  arekm
- fix perms

Revision 1.6  2009/07/15 08:25:49  arekm
- more R

Revision 1.5  2009/07/15 08:14:32  arekm
- use nx as user

Revision 1.4  2009/07/15 08:01:46  arekm
- attr fixed

Revision 1.3  2009/07/15 07:59:11  arekm
- md5 fix

Revision 1.2  2009/07/15 07:57:04  arekm
- neatx user added; shell added

Revision 1.1  2009/07/15 07:50:41  arekm
- initial, Google NX server
